# Uses of Interface
org.astrogrid.samp.Client

Packages that use Client
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.

## Uses of Client in org.astrogrid.samp

Methods in org.astrogrid.samp with parameters of type Client
Modifier and Type
Method
Description
`static String`
SampUtils.`toString(Client client)`
Returns a string representation of a client object.

## Uses of Client in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client with parameters of type Client
Modifier and Type
Method
Description
`void`
TrackedClientSet.`addClient(Client client)`
Adds a client to this model.
`void`
TrackedClientSet.`removeClient(Client client)`
Removes a client from this model.
`void`
LogResultHandler.`result(Client client, Response response)`
`void`
ResultHandler.`result(Client responder, Response response)`
Called when a response is received from a client to which the message was sent.
`void`
TrackedClientSet.`setClients(Client[] clients)`
Sets the contents of this model to a given list.
`void`
TrackedClientSet.`updateClient(Client client, boolean metaChanged, boolean subsChanged)`
Notifies listeners that a given client's attributes (may) have changed.

## Uses of Client in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return Client
Modifier and Type
Method
Description
`Client`
ClientPanel.`getClient()`
Returns the most recently displayed client.
`Client`
Transmission.`getReceiver()`
Returns the client to which this transmission was sent.
`Client`
Transmission.`getSender()`
Returns the client which sent this transmission.
Methods in org.astrogrid.samp.gui with parameters of type Client
Modifier and Type
Method
Description
`protected abstract Map`
AbstractCallActionManager.`createMessage(Client client)`
Returns the Message object which is to be transmitted by this manager to a given client.
`protected abstract Map`
IndividualCallActionManager.`createMessage(Client client)`
`protected Map`
UniformCallActionManager.`createMessage(Client client)`
Implemented simply by calling `UniformCallActionManager.createMessage()`.
`protected ResultHandler`
AbstractCallActionManager.`createResultHandler(HubConnection connection, Message msg, Client[] recipients)`
Returns an object which will be informed of the results of a single- or multiple-recipient send as they arrive.
`Icon`
IconStore.`getIcon(Client client)`
Returns the icon associated with a given client.
`ListModel`
MessageTrackerHubConnector.`getRxListModel(Client client)`
`ListModel`
MessageTrackerHubService.`getRxListModel(Client client)`
Returns a ListModel representing the pending messages received by a given client.
`protected Action`
AbstractCallActionManager.`getSendAction(Client client)`
`protected Action`
NotifyActionManager.`getSendAction(Client client)`
`protected abstract Action`
SendActionManager.`getSendAction(Client client)`
Returns an action which can perform a single-client send associated with this object.
`Action`
UniformCallActionManager.`getSendAction(Client client)`
`ListModel`
MessageTrackerHubConnector.`getTxListModel(Client client)`
`ListModel`
MessageTrackerHubService.`getTxListModel(Client client)`
Returns a ListModel representing the pending messages sent from a given client.
`protected abstract boolean`
SelectiveClientListModel.`isIncluded(Client client)`
Implement this method to determine which clients are included in this list.
`protected boolean`
SubscribedClientListModel.`isIncluded(Client client)`
Returns true if `client` is subscribed to one of this model's MTypes.
`protected void`
NotifyActionManager.`messageSent(HubConnection connection, Message msg, Client[] recipients)`
Called when a message has been sent by this object.
`void`
AbstractCallActionManager.`registerHandler(String tag, Client[] recipients, ResultHandler handler)`
Registers a result handler to handle results corresponding to a message tag.
`void`
PopupResultHandler.`result(Client client, Response response)`
`void`
ClientPanel.`setClient(Client client)`
Updates this component to display the current state of a given client.
Constructors in org.astrogrid.samp.gui with parameters of type Client
Modifier
Constructor
Description
``
`PopupResultHandler(Component parent, String title, Message msg, Client[] recipients, int closeDelay)`
Constructor.
``
`Transmission(Client sender, Client receiver, Message msg, String msgTag, String msgId)`
Constructor.

## Uses of Client in org.astrogrid.samp.hub

Classes in org.astrogrid.samp.hub that implement Client
Modifier and Type
Class
Description
`class`
`HubClient`
Represents a client registered with a hub.